Bug 140542 - CVE-2004-0452 File::Path::rmtree() issue
CVE-2004-0452 File::Path::rmtree() issue
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 10:54 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.8.0-89.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 13:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch proposed from Chip (1.38 KB, patch)
2004-11-23 11:22 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-23 10:54:03 EST
Debian reported to vendor-sec earlier in the year a possible issue in
File::Path::rmtree.  "It seems that in the process of recursing the
tree, File::Path::rmtree uses chmod to set various things to be world
writable.  This would seem to open the usual race conditions in 
situations where they would not otherwise exist, due to the directories
involved having sane permissions."

Possibly not public; checking with Debian.
Comment 1 Mark J. Cox (Product Security) 2004-11-23 11:22:06 EST
Created attachment 107309 [details]
patch proposed from Chip
Comment 6 Jason Vas Dias 2005-11-08 13:21:58 EST
This bug has been fixed since RHEL-3-U5 with perl-5.8.0-89.10, in the 
RHEL-3-embargo CVS branch. Chip's patches for this have now been applied
to the HEAD CVS branch, and this issue is also fixed in perl-5.8.0-90.2 .
Comment 7 Mark J. Cox (Product Security) 2005-11-09 04:51:16 EST
Verified, fixed by http://rhn.redhat.com/errata/RHSA-2005-105.html

Note You need to log in before you can comment on or make changes to this bug.